# Class AboutSections

java.lang.Object
org.eclipse.e4.core.services.about.AboutSections

public final class AboutSections extends Object
This class consists exclusively of static methods and constants that operate on sections for "about" information.

Since:
  2.2

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SECTION`
The property to mark the information to be related with specific section
`static final String`
`SECTION_INSTALLED_BUNDLES`
The value to mark the information to be related with "Installed Bundles" section
`static final String`
`SECTION_INSTALLED_FEATURES`
The value to mark the information to be related with "Installed Features" section
`static final String`
`SECTION_SYSTEM_ENVIRONMENT`
The value to mark the information to be related with "System Environment" section
`static final String`
`SECTION_SYSTEM_PROPERTIES`
The value to mark the information to be related with "System Properties" section
`static final String`
`SECTION_USER_PREFERENCES`
The value to mark the information to be related with "User Preferences" section

## Constructor Summary

Constructors
Constructor
Description
`AboutSections()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`createSectionFilter(String section)`
Creates a filter for a given section identifier to be used for a `ISystemInformation` service query:

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SECTION

public static final String SECTION
The property to mark the information to be related with specific section

See Also:
  - Constant Field Values

### SECTION_INSTALLED_BUNDLES

public static final String SECTION_INSTALLED_BUNDLES
The value to mark the information to be related with "Installed Bundles" section

See Also:
  - Constant Field Values

### SECTION_INSTALLED_FEATURES

public static final String SECTION_INSTALLED_FEATURES
The value to mark the information to be related with "Installed Features" section

See Also:
  - Constant Field Values

### SECTION_SYSTEM_ENVIRONMENT

public static final String SECTION_SYSTEM_ENVIRONMENT
The value to mark the information to be related with "System Environment" section

See Also:
  - Constant Field Values

### SECTION_SYSTEM_PROPERTIES

public static final String SECTION_SYSTEM_PROPERTIES
The value to mark the information to be related with "System Properties" section

See Also:
  - Constant Field Values

### SECTION_USER_PREFERENCES

public static final String SECTION_USER_PREFERENCES
The value to mark the information to be related with "User Preferences" section

See Also:
  - Constant Field Values

## Constructor Details

### AboutSections

public AboutSections()

## Method Details

### createSectionFilter

public static String createSectionFilter(String section)
Creates a filter for a given section identifier to be used for a `ISystemInformation` service query:

    bundleContext.getServiceReferences(ISystemInformationService.class,
                    AboutSections.createSectionFilter(AboutSections.SECTION_SYSTEM_ENVIRONMENT));

Parameters:
  `section` - the section identifier to use as a filter
Returns:
  the section filter string